<app-loading *ngIf="loading"></app-loading>

<div *ngIf="!loading" class="row">
    <div class="col-2"><img [src]="artist.images | noImage" alt="" class="img-thumbnail img-circle"></div>
    <div class="col">
        <h3>{{artist.name}}</h3>
        <p><a [href]="artist.external_urls.spotify">Ir a la página del artista</a></p>
    </div>
    <div class="col-4"></div>
</div>

<div class="row">
    <div class="col">
        <table class="table" >
            <thead>
                <tr>
                    <th>Foto</th>
                    <th>Album</th>
                    <th>Canción</th>
                    <th>Vista Previa</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let track of topTracks">
                    <td> <img class="img-thumb" [src]="track.album.images | noImage" alt="">  </td>
                    <td> {{track.album.name}} </td>
                    <td> {{track.name}} </td>
                    <td> <audio [src]="track.preview_url" controls></audio></td>
                </tr>
            </tbody>
        </table>
    </div>
</div>